@import '../../style/base/_variables';

.profile {
  display: flex;
  flex-direction: column;
  width: 320px;
  max-height: 530px;
  margin-top: $gap-lg;
  background: $color-purple-01;
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
  box-shadow: 4px 4px 40px rgba(0, 0, 0, 0.25);
  &__about {
    display: flex;
    flex-direction: column;
    padding: $gap-lg;
    .content {
      display: flex;
      align-items: center;
      color: $color-white;
      margin-bottom: 16px;
      &:last-child {
        margin-bottom: 0;
      }
      &.bio {
        margin-bottom: $gap-lg;
      }
      svg {
        margin-right: 8px;
        path {
          fill: transparent;
          stroke: $color-purple-03;
        }
      }
    }
  }
  &__header {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: $gap-md $gap-lg;
    background: rgba(0, 0, 0, 0.09);
    border-radius: 5px 0px 0px 0px;
    .img {
      margin-bottom: 17px;
    }
    .title {
      text-align: center;
    }
  }
  .title {
    color: $color-white;
  }
}